using 'devel' in sources.list causes apt-get update to fail

Bug #1728616 reported by Scott Moser on 2017-10-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Undecided
Unassigned

Bug Description

Our /etc/apt/sources.list looks like this:
$ cat /etc/apt/sources.list
| deb http://archive.ubuntu.com//ubuntu devel main restricted universe multiverse
| deb http://archive.ubuntu.com//ubuntu devel-updates main restricted universe multiverse
| deb http://archive.ubuntu.com//ubuntu devel-security main restricted universe multiverse
| deb http://archive.ubuntu.com//ubuntu devel-backports main restricted universe multiverse

I noticed today that 'apt-get update' started failing. Likely that started on Thursday or Friday when bionic opened.

This seems less than desireable, but even if the failure is expected, what is
the solution to "accept" this change?

It does mention 'apt-secure(8)' but nothing there obviously points to the solution.

$ sudo apt-get update
Hit:2 http://ppa.launchpad.net/uvtool-dev/master/ubuntu devel InRelease
Get:1 http://archive.ubuntu.com//ubuntu devel InRelease [235 kB]
Get:3 http://archive.ubuntu.com//ubuntu devel-updates InRelease [65.4 kB]
Get:4 http://archive.ubuntu.com//ubuntu devel-security InRelease [65.4 kB]
Get:5 http://archive.ubuntu.com//ubuntu devel-backports InRelease [65.5 kB]
Reading package lists... Done
W: Conflicting distribution: http://ppa.launchpad.net/uvtool-dev/master/ubuntu devel InRelease (expected devel but got zesty)
W: Conflicting distribution: http://archive.ubuntu.com//ubuntu devel InRelease (expected devel but got bionic)
N: Repository 'http://archive.ubuntu.com//ubuntu devel InRelease' changed its 'Version' value from '17.10' to '18.04'
E: Repository 'http://archive.ubuntu.com//ubuntu devel InRelease' changed its 'Suite' value from 'artful' to 'bionic'
E: Repository 'http://archive.ubuntu.com//ubuntu devel InRelease' changed its 'Codename' value from 'artful' to 'bionic'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
W: Conflicting distribution: http://archive.ubuntu.com//ubuntu devel-updates InRelease (expected devel-updates but got bionic)
N: Repository 'http://archive.ubuntu.com//ubuntu devel-updates InRelease' changed its 'Version' value from '17.10' to '18.04'
E: Repository 'http://archive.ubuntu.com//ubuntu devel-updates InRelease' changed its 'Suite' value from 'artful-updates' to 'bionic-updates'
E: Repository 'http://archive.ubuntu.com//ubuntu devel-updates InRelease' changed its 'Codename' value from 'artful' to 'bionic'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
W: Conflicting distribution: http://archive.ubuntu.com//ubuntu devel-security InRelease (expected devel-security but got bionic)
N: Repository 'http://archive.ubuntu.com//ubuntu devel-security InRelease' changed its 'Version' value from '17.10' to '18.04'
E: Repository 'http://archive.ubuntu.com//ubuntu devel-security InRelease' changed its 'Suite' value from 'artful-security' to 'bionic-security'
E: Repository 'http://archive.ubuntu.com//ubuntu devel-security InRelease' changed its 'Codename' value from 'artful' to 'bionic'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
W: Conflicting distribution: http://archive.ubuntu.com//ubuntu devel-backports InRelease (expected devel-backports but got bionic)
N: Repository 'http://archive.ubuntu.com//ubuntu devel-backports InRelease' changed its 'Version' value from '17.10' to '18.04'
E: Repository 'http://archive.ubuntu.com//ubuntu devel-backports InRelease' changed its 'Suite' value from 'artful-backports' to 'bionic-backports'
E: Repository 'http://archive.ubuntu.com//ubuntu devel-backports InRelease' changed its 'Codename' value from 'artful' to 'bionic'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: apt 1.5
ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5
Uname: Linux 4.12.0-11-generic x86_64
NonfreeKernelModules: zfs zunicode zavl zcommon znvpair
ApportVersion: 2.20.7-0ubuntu3
Architecture: amd64
Date: Mon Oct 30 14:37:22 2017
JournalErrors:
 Hint: You are currently not seeing messages from other users and the system.
       Users in groups 'adm', 'systemd-journal' can see all messages.
       Pass -q to turn off this notice.
 -- Logs begin at Mon 2017-01-30 21:40:08 UTC, end at Mon 2017-10-30 14:36:12 UTC. --
 -- No entries --
ProcEnviron:
 TERM=screen-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: apt
UpgradeStatus: No upgrade log present (probably fresh install)

Scott Moser (smoser) wrote :
Adam Conrad (adconrad) wrote :

The whole 'devel' thing has been half-broken in one way or another since it was introduced. My advice is just to not use it. And I honestly think we should remove all remnants of it from launchpad and the Ubuntu/PPA archives as well.

Trying to treat "the latest at any given point" as the same thing as a "rolling" distribution may have been fun to score some political points, but it doesn't actually do useful things.

Scott Moser (smoser) wrote :

Some comments by Adam Conrad in #ubuntu-devel:
 https://irclogs.ubuntu.com/2017/10/30/%23ubuntu-devel.html

10:44 <smoser> is there a fine manual that ii'm supposed to read for
10:44 <infinity> jbicha: Bah. That's bound to be mythtv-specific. Lemme look.
10:44 <smoser> https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1728616
10:44 <ubottu> Launchpad bug 1728616 in apt (Ubuntu) "using 'devel' in sources.list causes apt-get update to fail" [Undecided,New]
10:44 <infinity> smoser: Yeah, don't use devel in sources.list.
10:44 <smoser> i'm guessing this is known to some extent. i can't be the only one that is using devel
10:45 <infinity> We should delete all references to it and call it a pointless and failed experiment, IMO. :P
10:46 <smoser> infinity: thats fine with me.
10:46 <smoser> you're welcome to comment in that bug.
10:46 <infinity> But it's been known not to work for a long time.
10:46 <smoser> i'm not sure how we got across the transition to artful
10:46 <smoser> on this system.

Julian Andres Klode (juliank) wrote :

That's a new feature in 1.5, so you don't switch releases by accident (or you pinning does). With the apt tool, it asks interactively, with apt-get you have to provide --allow-release-info-change or sth like this.

Changed in apt (Ubuntu):
status: New → Opinion
Julian Andres Klode (juliank) wrote :

There are bugs to track the manpage being inadequate for that scenario, but I don't know where right now.

See apt-get manpage for the correct option name, or use apt.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers